KDE 4.3 PyKDE API Reference

- KDE's Python API

# VideoDataOutput Class Reference

`from PyKDE4.phonon import *`

Inherits: QObject
Namespace: Phonon::Experimental

## Detailed Description

This class gives you nothing. ;-)

Deprecated:

Author:
  Matthias Kretz <kretz@kde.org>

## Signals

| displayFrame (long nowStamp, long outStamp)
| endOfMedia ()

## Methods

| displayFrame (self, long nowStamp, long outStamp)
| endOfMedia (self)
Phonon.Experimental.VideoFrame | frameForTime (self, long timestamp)
bool | isRunning (self)
int | latency (self)
| setRunning (self, bool running)
| start (self)
| stop (self)

## Method Documentation

displayFrame | ( | self, |
|  | long | nowStamp,
|  | long | outStamp
| ) |  |  |

The signal is emitted whenever a frame should be displayed. nowStamp is the current time, outStamp tells the users what time the frame should be displayed with.

The relevant frames should be fetched and displayed using frameForTime method.

Signal syntax:
  `QObject.connect(source, SIGNAL("displayFrame(qint64, qint64)"), target_slot)`

endOfMedia | ( |  | self ) |

This signal is emitted after the last frameReady signal of a media is emitted.

Signal syntax:
  `QObject.connect(source, SIGNAL("endOfMedia()"), target_slot)`

Phonon.Experimental.VideoFrame frameForTime | ( | self, |
|  | long | timestamp
| ) |  |  |

bool isRunning | ( |  | self ) |

int latency | ( |  | self ) |

This property indicates the state of the data output.

setRunning | ( | self, |
|  | bool | running
| ) |  |  |

start | ( |  | self ) |

stop | ( |  | self ) |